NX Open C++ Reference Guide
|
Represents a Lofted Flange feature builder. More...
Public Types | |
enum | SectionSideOptions { SectionSideOptionsLeft, SectionSideOptionsRight } |
This enum represents the side of the section that the lofted flange creates thickness. More... | |
Public Member Functions | |
NXOpen::Features::SheetMetal::BendOptions * | BendOptions () |
Returns the bend options object. | |
NXOpen::Section * | EndSection () |
Returns the end section of the lofted flange.The section profile should be open looped. | |
NXOpen::Point3d | EndSectionPoint () |
Returns the start/end point of the end section.It can be start/end point of the section profile. | |
NXOpen::Features::SketchFeature * | EndSketch () |
Returns the end section sketch as slave. | |
NXOpen::Expression * | GetThickness () |
The thickness of base lofted flange.Applicable only for Base lofted flange. | |
NXOpen::Expression * | IndexMarkLength () |
Returns the index mark length Get the index mark length expression If use segmented bends is set to true the only the index mark length value is used for dividing the bend even though a value is set Index mark length value only gets reflected in flat pattern view Created in NX6.0.0. | |
bool | IsSecondary () |
Returns the type of lofted flange feature - base lofted flange/secondary lofted flange. | |
int | NumberOfBendSegments () |
Returns the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set Created in NX6.0.0. | |
void | SetEndSection (NXOpen::Section *endSection) |
Sets the end section of the lofted flange.The section profile should be open looped. | |
void | SetEndSectionPoint (const NXOpen::Point3d &point) |
Sets the start/end point of the end section.It can be start/end point of the section profile. | |
void | SetEndSketch (NXOpen::Features::SketchFeature *slaveEndSketch) |
Sets the end section sketch as slave. | |
void | SetNumberOfBendSegments (int numberOfBendSegments) |
Sets the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set Created in NX6.0.0. | |
void | SetSecondary (bool isSecondary) |
Sets the type of lofted flange feature - base lofted flange/secondary lofted flange. | |
void | SetStartSection (NXOpen::Section *startSection) |
Sets the start section of the lofted flange. | |
void | SetStartSectionPoint (const NXOpen::Point3d &point) |
Sets the start/end point of the start section.It can be start/end point of the section profile. | |
void | SetStartSketch (NXOpen::Features::SketchFeature *slaveStartSketch) |
Sets the start section sketch as slave. | |
void | SetThickness (const NXString &thickness) |
The thickness of base lofted flange.Applicable only for Base lofted flange. | |
void | SetThickness (const char *thickness) |
The thickness of base lofted flange.Applicable only for Base lofted flange. | |
void | SetThicknessSide (NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SectionSideOptions thickSide) |
Sets the thickness side of base lofted flange. | |
void | SetUseSegmentedBends (bool useMultiSegmentBends) |
Sets the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user Created in NX6.0.0. | |
NXOpen::Section * | StartSection () |
Returns the start section of the lofted flange. | |
NXOpen::Point3d | StartSectionPoint () |
Returns the start/end point of the start section.It can be start/end point of the section profile. | |
NXOpen::Features::SketchFeature * | StartSketch () |
Returns the start section sketch as slave. | |
NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SectionSideOptions | ThicknessSide () |
Returns the thickness side of base lofted flange. | |
bool | UseSegmentedBends () |
Returns the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user Created in NX6.0.0. | |
int | ValidateBuilderData () |
Verify user data validity. | |
![]() | |
NXOpen::Features::SheetMetal::ApplicationContext | GetApplicationContext () |
Get the application context. | |
void | SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext) |
Set the application context. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Lofted Flange feature builder.
To create a new instance of this class, use Features::SheetMetal::SheetmetalManager::CreateLoftedFlangeFeatureBuilder
Default values.
Property | Value |
---|---|
IndexMarkLength.Value |
5 (millimeters part), 0.5 (inches part) |
NumberOfBendSegments |
0 |
UseSegmentedBends |
0 |
Created in NX4.0.0.
This enum represents the side of the section that the lofted flange creates thickness.
The "left" option represents the side to the left of a person who is walking along the section in the direction of its curves when the section normal is pointing up. The "right" option represents the person's right hand side. This interpretation is the same regardless of whether the section is open or closed. The "right" side at any point along the section can also be represented by the vector resulting from the cross product of the curve tangent (of the section curve at that point) and the section normal. The "left" side is the opposite.
NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::BendOptions | ( | ) |
Returns the bend options object.
Get the bend options object which is created while creating builder. Then set values to parameters of bend options object(like bend radius, bend relief type etc.) using set methods of bend options object.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Section* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::EndSection | ( | ) |
Returns the end section of the lofted flange.The section profile should be open looped.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Point3d NXOpen::Features::SheetMetal::LoftedFlangeBuilder::EndSectionPoint | ( | ) |
Returns the start/end point of the end section.It can be start/end point of the section profile.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::EndSketch | ( | ) |
Returns the end section sketch as slave.
Set the sketch which is used to create end section. This is only used when the section is created from sketch. If the section is created from edges or if the end sketch is not required to be slave, set the value as NULL .
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::GetThickness | ( | ) |
The thickness of base lofted flange.Applicable only for Base lofted flange.
Ignored for a Secondary Lofted Flange.
NXOpen::Expression* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::IndexMarkLength | ( | ) |
Returns the index mark length Get the index mark length expression If use segmented bends is set to true the only the index mark length value is used for dividing the bend even though a value is set Index mark length value only gets reflected in flat pattern view
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::SheetMetal::LoftedFlangeBuilder::IsSecondary | ( | ) |
Returns the type of lofted flange feature - base lofted flange/secondary lofted flange.
Specify false for base lofted flanges and true for secondary lofted flanges.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
int NXOpen::Features::SheetMetal::LoftedFlangeBuilder::NumberOfBendSegments | ( | ) |
Returns the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetEndSection | ( | NXOpen::Section * | endSection | ) |
Sets the end section of the lofted flange.The section profile should be open looped.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
endSection | end section |
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetEndSectionPoint | ( | const NXOpen::Point3d & | point | ) |
Sets the start/end point of the end section.It can be start/end point of the section profile.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
point | point |
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetEndSketch | ( | NXOpen::Features::SketchFeature * | slaveEndSketch | ) |
Sets the end section sketch as slave.
Set the sketch which is used to create end section. This is only used when the section is created from sketch. If the section is created from edges or if the end sketch is not required to be slave, set the value as NULL .
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
slaveEndSketch | slave end sketch |
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetNumberOfBendSegments | ( | int | numberOfBendSegments | ) |
Sets the number of bend segments Get and set the number of bend segments If use segmented bends is set to true then only the number of bend segments value is used for dividing the bend even though a value is set
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
numberOfBendSegments | numberofbendsegments |
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetSecondary | ( | bool | isSecondary | ) |
Sets the type of lofted flange feature - base lofted flange/secondary lofted flange.
Specify false for base lofted flanges and true for secondary lofted flanges.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
isSecondary | is secondary |
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetStartSection | ( | NXOpen::Section * | startSection | ) |
Sets the start section of the lofted flange.
The section profile should be open looped.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
startSection | start section |
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetStartSectionPoint | ( | const NXOpen::Point3d & | point | ) |
Sets the start/end point of the start section.It can be start/end point of the section profile.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
point | point |
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetStartSketch | ( | NXOpen::Features::SketchFeature * | slaveStartSketch | ) |
Sets the start section sketch as slave.
Set the sketch which is used to create start section. This is only used when the section is created from sketch. If the section is created from edges or start sketch is not required to be slave, set slave sketch as NULL.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
slaveStartSketch | slave start sketch |
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetThickness | ( | const NXString & | thickness | ) |
The thickness of base lofted flange.Applicable only for Base lofted flange.
Ignored for a Secondary Lofted Flange.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
thickness | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetThickness | ( | const char * | thickness | ) |
The thickness of base lofted flange.Applicable only for Base lofted flange.
Ignored for a Secondary Lofted Flange.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
thickness | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetThicknessSide | ( | NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SectionSideOptions | thickSide | ) |
Sets the thickness side of base lofted flange.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
thickSide | thick side |
void NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SetUseSegmentedBends | ( | bool | useMultiSegmentBends | ) |
Sets the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user
Created in NX6.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal")
useMultiSegmentBends | usemultisegmentbends |
NXOpen::Section* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::StartSection | ( | ) |
Returns the start section of the lofted flange.
The section profile should be open looped.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Point3d NXOpen::Features::SheetMetal::LoftedFlangeBuilder::StartSectionPoint | ( | ) |
Returns the start/end point of the start section.It can be start/end point of the section profile.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::LoftedFlangeBuilder::StartSketch | ( | ) |
Returns the start section sketch as slave.
Set the sketch which is used to create start section. This is only used when the section is created from sketch. If the section is created from edges or start sketch is not required to be slave, set slave sketch as NULL.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SheetMetal::LoftedFlangeBuilder::SectionSideOptions NXOpen::Features::SheetMetal::LoftedFlangeBuilder::ThicknessSide | ( | ) |
Returns the thickness side of base lofted flange.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
bool NXOpen::Features::SheetMetal::LoftedFlangeBuilder::UseSegmentedBends | ( | ) |
Returns the use multi segment bends Set use_segmented_bends to true or false and get the same If use multi segment bends is set to true then lofted flange bend face is gets divided as per the number bend segments mentioned by the user
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::SheetMetal::LoftedFlangeBuilder::ValidateBuilderData | ( | ) |
Verify user data validity.
If the data is valid, returned value should be 0. @return Data Validity Flag.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")